-- todo: only fade to black if exit was picked, otherwise use _fade in normal.
local t = Def.Quad {
	InitCommand=cmd(FullScreen);
	StartTransitioningCommand=function(self)
		local qColor;
		if GAMESTATE:Env()['TitleOut'] == "Goodbye" then
			qColor = color("#000000");
		elseif GAMESTATE:Env()['TitleOut'] == "Normal" then
			qColor = GetThemeColor();
		end;
		self:diffuse(qColor);
		(cmd(diffusealpha,0;linear,0.75;diffusealpha,1))(self);
	end;
};
return t;
